curl --request GET \
--url https://streaming.dexpaprika.com/sse/ohlcvimport requests
url = "https://streaming.dexpaprika.com/sse/ohlcv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://streaming.dexpaprika.com/sse/ohlcv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chain": "ethereum",
"token_id": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"interval": "1s",
"timestamp": "2023-11-07T05:31:56Z",
"open": 1.234,
"high": 1.25,
"low": 1.22,
"close": 1.24,
"avg": 1.235,
"volume_usd": 15230.5,
"txns": 12
}{
"message": "asset not found"
}{
"message": "asset not found"
}{
"message": "asset not found"
}Stream real-time token OHLCV candles for paid plans
Stream real time token candles over SSE for paid plans. Reconnect using Last-Event-ID or backfill with since.
Headers
Event timestamp sent by reconnecting clients to resume the stream. Older values clamp to 15 minutes ago.
Query Parameters
Stream method
token_ohlcv Chain identifier
Address of the asset named by method, a token address for token_ohlcv.
Candle interval
1s, 5s, 60s Optional request identifier
0 <= x <= 4294967295Maximum event count including backfill
x >= 1Unix timestamp in seconds to backfill candles before live updates. Must be within the last 15 minutes.
Response
Stream established successfully
- Option 1
- Option 2
- Option 3
Sealed token candle event, sent as the token_ohlcv event type
Chain identifier
"ethereum"
Token address
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
Candle interval
"1s"
Candle start time
Open price in USD
1.234
High price in USD
1.25
Low price in USD
1.22
Close price in USD
1.24
Average price in USD
1.235
Total volume in USD
15230.5
Number of swaps
12
Was this page helpful?